#
# spec file for package nodejs-opener
#
# Copyright (c) 2015 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


%define base_name opener

Name:           nodejs-opener
Version:        1.4.1
Release:        12.1
Summary:        Cross-platform file opener
License:        WTFPL
Group:          Development/Languages/Other
Url:            https://github.com/isaacs/opener
Source:         http://registry.npmjs.org/%{base_name}/-/%{base_name}-%{version}.tgz
BuildRequires:  dos2unix
BuildRequires:  nodejs-packaging
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildArch:      noarch

%nodejs_find_provides_and_requires

%description
Opens stuff, like webpages and files and executables, cross-platform. That is,
in your desktop environment. This will make actual windows pop up, with stuff
in them.

%prep
%setup -q -n package
chmod 755 opener.js
dos2unix LICENSE.txt README.md

%build

%install
mkdir -p %{buildroot}%{nodejs_modulesdir}/%{base_name}
mkdir -p %{buildroot}%{_bindir}
cp -pr package.json opener.js \
        %{buildroot}%{nodejs_modulesdir}/%{base_name}/
ln -sf %{nodejs_modulesdir}/%{base_name}/opener.js %{buildroot}%{_bindir}/opener

%files
%defattr(-,root,root,-)
%doc README.md LICENSE.txt
%{nodejs_modulesdir}/%{base_name}
%{_bindir}/opener

%changelog
* Fri Apr 24 2015 hvogel@suse.com
- Update to version 1.4.1
* Sat Apr  4 2015 dmueller@suse.com
- enable building for all arches
* Thu Oct  9 2014 jgleissner@suse.com
- use nodejs-packaging for building
* Sun Sep 21 2014 i@marguerite.su
- update version 1.4.0
* Mon Aug 18 2014 jgleissner@suse.com
- Initial build
